/*****************************************
 * Large Assignment 1: L-Systems
 * Name:    Nathaniel Garcia
 * E-mail:  ngarcia15@unm.edu
 * Course:      CS491, Computational Fabrication
 * Submitted:    9/12/23
 *
 * This program utilizes the turtle drawing
 * But also adds shapes 
 * Triangles as "leafs" 
 * Small ellipes as "end pedals"
***********************************************/



import Turtle.*; // Import the Turtle library
import processing.pdf.*; // Import the PDF library for saving files

LSystemClass l; // Declare an instance of LSystemClass
Turtle t; // Declare a Turtle instance for drawing

void setup() {
  size(900, 900);
  background(#43A57D); // Set the background color
  stroke(0); // Set the stroke color to black
  //float size, float angle, float scaleFactor
  l = new LSystemClass(5, 28, .8); // Initialize an LSystemClass instance with specified parameters
  t = new Turtle(this); // Initialize a Turtle instance for drawing
}

void draw() {
  t.setX(width/2); // Set the initial X position for the Turtle
  t.setY(height-10); // Set the initial Y position for the Turtle
  l.drawLSystem(t); // Draw the L-system using the Turtle
  l.iteration(); // Iterate the L-system
}

void keyPressed() {
  if (key == 's' || key == 'S') {
    // Save the sketch as a JPG file with a specified path
    save("C:/Users/Minim/OneDrive/Documents/Processing/Projects/hw1/my_sketch3.jpg");
    println("Saved"); // Print a message to indicate that the sketch is saved
  }
}
